#include <iostream>
using namespace std;
int main()
{
    int N, M, a[200000], b[200000], t[200000], u, v, i, j;
    cout << "unesi broj santi";
    cin >> N;
    cout << "unesi broj puteva";
    cin >> M;
    for (j = 0; j < M; j++)
    {
        cout << "unesi od koje do koje sante je put";
        cin >> a[j];
        cin >> b[j];
        cout << "unesi tip tog puta(1 za sa ledom, 0 za bez leda )";
        cin >> t[j];
    }
    cout << "unesi na kojoj santi se nalazi Mika";
    cin >> u;
    cout << "unesi na kojoj santi se nalazi Laza";
    cin >> v;
}